(defmacro defclass 
	(name direct-superclasses direct-slots &rest options &environent env)
	`(ensure-class ',name ',direct-superclasses ',direct-slots ',options ',env))
(defmacro defgeneric(name lambda-list &rest options &environment env)
	`(ensure-generic-function ',name 
		'(:lambda-list ',lambda-list) 
		'(:environment ',env)
		',options))
(defmacro defmethod (name &rest args &environment env)
	`(ensure-method ',name ',args ',env))
(defsetf slot-value set-slot-value)
